{ config, pkgs, threemaModules, ... }: {

  imports = [
    ./filesystems.nix
    ./networking.nix
    #./printing.nix
    #./backup.nix #TODO: Extract applications from desktop role

    ../../defaults/base
    ../../defaults/cifs-auth-fix
    ../../defaults/desktop
    ../../defaults/hardware/thinkpad-p14s.nix
    #../../defaults/printing

    threemaModules.openvpn
  ];

  #TODO: Clean up next section
  services.xserver.dpi = 180;

  virtualisation = { # TODO: This should probably be somewhere else.
    docker = {
      enable = true;
      enableOnBoot = false;
    };
    libvirtd.enable = true;
  };

  # Set your time zone.
  time.timeZone = "Europe/Amsterdam";

  # This value determines the NixOS release from which the default
  # settings for stateful data, like fi:le locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "22.05"; # Did you read the comment?
}
